from django.db import models
from dbsynce.models import Orders, Resource

class OrdersLocal(models.Model):
    """
    OrdersLocal - таблица с заказами
    """
    order_synced = models.ForeignKey(Orders, on_delete=models.DO_NOTHING, help_text="ID заказа в 'Orders'")
    #resource_id = models.ForeignKey(Resource, null=True, on_delete=models.DO_NOTHING, help_text="ID ресурса")

    address = models.CharField(null=True, max_length=150, help_text="Адрес коворкинга")
    specialization = models.CharField(null=True, max_length=150, help_text="Специализация")
    daily_price = models.IntegerField(null=True, help_text="Стоимость в день (руб.)")
    date_start = models.DateField(null=True, help_text="Дата начала аренды")
    date_end = models.DateField(null=True, help_text="Дата завершения аренды")

    class Meta:
        db_table = "orders_local"
        verbose_name = "Заказ (local)"
        verbose_name_plural = "Заказы (local)"